Bug 107561 - wb_group disagrees with winbindd on the communication socket
Summary: wb_group disagrees with winbindd on the communication socket
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: squid   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-20 17:16 UTC by Paolo Zeppegno
Modified: 2014-08-31 23:25 UTC (History)
1 user (show)

Fixed In Version: squid-2.5.STABLE5-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-24 19:35:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paolo Zeppegno 2003-10-20 17:16:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
If you use strace on /usr/lib/wbgroup it tries referencing /tmp/.winbindd, but I
think on fedora the socket is either in /var/run/winbindd or in
/var/cache/samba/winbindd_privileged

There is a patch in the samba package that moves /tmp/.winbindd to
/var/run/winbindd. That's all I know.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup samba to authenticate do a w2k ad
2.setup winbind
3.strace wb_group
4. enter "username group"
5. watch wb_group try to use /tmp/.winbindd
    

Actual Results:  you get an error, even if the user belongs to the group

Expected Results:  you should get an OK

Additional info:

Comment 1 Jay Fenlason 2004-04-05 21:20:56 UTC
A patch for this is included in the latest rawhide squid RPM


Note You need to log in before you can comment on or make changes to this bug.